# Pin & Location Assignments
# ==========================

# All IOs are LVCMOS
# Further assignments (pullup, opendrain...) are in the Quartus qsf file
#set_attribute -design rtl [get_ports *] -name IOSTANDARD -value "LVCMOS"

# Integrated FFs
#set_attribute -design rtl -name OUTFF -value TRUE  video_addr(*)

# Pads location

set_attribute -design rtl -port -name PIN_NUMBER -value "J14" aff_addr(0)
set_attribute -design rtl -port -name PIN_NUMBER -value "K13" aff_addr(1)
set_attribute -design rtl -port -name PIN_NUMBER -value "K14" aff_addr(2)
set_attribute -design rtl -port -name PIN_NUMBER -value "K12" aff_addr(3)
set_attribute -design rtl -port -name PIN_NUMBER -value "L14" aff_addr(4)
set_attribute -design rtl -port -name PIN_NUMBER -value "L13" aff_addr(5)

set_attribute -design rtl -port -name PIN_NUMBER -value "R11" bcod(0)
set_attribute -design rtl -port -name PIN_NUMBER -value "P10" bcod(1)
set_attribute -design rtl -port -name PIN_NUMBER -value "T10" bcod(2)
set_attribute -design rtl -port -name PIN_NUMBER -value "N10" bcod(3)

set_attribute -design rtl -port -name PIN_NUMBER -value "P9" boutons(0)
set_attribute -design rtl -port -name PIN_NUMBER -value "R10" boutons(1)
set_attribute -design rtl -port -name PIN_NUMBER -value "N9" boutons(2)
set_attribute -design rtl -port -name PIN_NUMBER -value "N8" boutons(3)
set_attribute -design rtl -port -name PIN_NUMBER -value "R9" boutons(4)
set_attribute -design rtl -port -name PIN_NUMBER -value "P8" boutons(5)

set_attribute -design rtl -port -name PIN_NUMBER -value "B8" clk_50

set_attribute -design rtl -port -name PIN_NUMBER -value "N14" aff_cs

set_attribute -design rtl -port -name PIN_NUMBER -value "K16" aff_data(0)
set_attribute -design rtl -port -name PIN_NUMBER -value "K15" aff_data(1)
set_attribute -design rtl -port -name PIN_NUMBER -value "L16" aff_data(2)
set_attribute -design rtl -port -name PIN_NUMBER -value "L15" aff_data(3)
set_attribute -design rtl -port -name PIN_NUMBER -value "M16" aff_data(4)
set_attribute -design rtl -port -name PIN_NUMBER -value "M15" aff_data(5)
set_attribute -design rtl -port -name PIN_NUMBER -value "N16" aff_data(6)
set_attribute -design rtl -port -name PIN_NUMBER -value "N15" aff_data(7)

set_attribute -design rtl -port -name PIN_NUMBER -value "M7" lclk
set_attribute -design rtl -port -name PIN_NUMBER -value "L12" aff_oe
set_attribute -design rtl -port -name PIN_NUMBER -value "A12" reset
set_attribute -design rtl -port -name PIN_NUMBER -value "P16" sclk

set_attribute -design rtl -port -name PIN_NUMBER -value "R13" switchs(0)
set_attribute -design rtl -port -name PIN_NUMBER -value "M11" switchs(1)
set_attribute -design rtl -port -name PIN_NUMBER -value "T13" switchs(2)
set_attribute -design rtl -port -name PIN_NUMBER -value "P13" switchs(3)
set_attribute -design rtl -port -name PIN_NUMBER -value "R14" switchs(4)
set_attribute -design rtl -port -name PIN_NUMBER -value "N12" switchs(5)
set_attribute -design rtl -port -name PIN_NUMBER -value "T14" switchs(6)
set_attribute -design rtl -port -name PIN_NUMBER -value "M13" switchs(7)

set_attribute -design rtl -port -name PIN_NUMBER -value "M14" aff_we

set_attribute -design rtl -port -name PIN_NUMBER -value "J16" probes(7)
set_attribute -design rtl -port -name PIN_NUMBER -value "H13" probes(6)
set_attribute -design rtl -port -name PIN_NUMBER -value "H14" probes(5)
set_attribute -design rtl -port -name PIN_NUMBER -value "G13" probes(4)
set_attribute -design rtl -port -name PIN_NUMBER -value "G14" probes(3)
set_attribute -design rtl -port -name PIN_NUMBER -value "G12" probes(2)
set_attribute -design rtl -port -name PIN_NUMBER -value "F14" probes(1)
set_attribute -design rtl -port -name PIN_NUMBER -value "F13" probes(0)

set_attribute -design rtl -port -name PIN_NUMBER -value "M10" lcden
set_attribute -design rtl -port -name PIN_NUMBER -value "T6" kdat
set_attribute -design rtl -port -name PIN_NUMBER -value "P6" kclk






